load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Test Group" do
  include TestHelper
  
  before(:all) do
    @driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.get("https://travel.agileway.net")
  end
  after(:all) do
    driver.quit unless debugging?
  end
  
  it "User can sign in OK" do 
    driver.find_element(:id, "username").send_keys("agileway")
    driver.find_element(:name, "password").send_keys("testwise")
    driver.find_element(:name, "commit").click
    expect(page_text).to include("Signed in!")
  end
  
end
